summaryrefslogtreecommitdiffstats
path: root/source/l/sof-firmware/sof-firmware.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/sof-firmware/sof-firmware.SlackBuild')
-rwxr-xr-xsource/l/sof-firmware/sof-firmware.SlackBuild100
1 files changed, 100 insertions, 0 deletions
diff --git a/source/l/sof-firmware/sof-firmware.SlackBuild b/source/l/sof-firmware/sof-firmware.SlackBuild
new file mode 100755
index 000000000..152f35066
--- /dev/null
+++ b/source/l/sof-firmware/sof-firmware.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Copyright 2021-2022 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2023 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=sof-firmware
+VERSION=${VERSION:-$(echo sof-bin-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev | cut -d v -f 2)}
+BUILD=${BUILD:-1}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf sof-bin-v${VERSION}
+tar xvf $CWD/sof-bin-v$VERSION.tar.?z || exit 1
+cd sof-bin-v$VERSION || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+mkdir -p $PKG/lib/firmware/intel/{sof/community,sof-tplg}
+
+# install debug files
+for i in sof-v$VERSION/*.ldc; do
+ mv $i $PKG/lib/firmware/intel/sof/
+done
+
+# install un-signed binaries
+for i in sof-v$VERSION/*.ri; do
+ mv $i $PKG/lib/firmware/intel/sof/
+done
+
+# install intel-signed binaries
+# This will overwrite some of the un-signed binaries installed before
+for i in sof-v$VERSION/intel-signed/*.ri; do
+ mv $i $PKG/lib/firmware/intel/sof/
+done
+
+# install community-signed binaries
+for i in sof-v$VERSION/community/*.ri; do
+ mv $i $PKG/lib/firmware/intel/sof/community/
+done
+
+# install topology files
+for i in sof-tplg-v$VERSION/*; do
+ mv $i $PKG/lib/firmware/intel/sof-tplg/
+done
+
+# SST topology files (not SOF related, but it's a Intel hw support
+# and this package seems a good place to distribute them
+# - Quote Fedora
+alsatplg -c /usr/share/alsa/topology/hda-dsp/skl_hda_dsp_generic-tplg.conf \
+ -o $PKG/lib/firmware/skl_hda_dsp_generic-tplg.bin
+
+mkdir -p $PKG/usr/doc/sof-firmware-$VERSION
+cp -a LICENCE* Notice* README* \
+ $PKG/usr/doc/sof-firmware-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz